%define php_sapi mod_php
%define so_file  libphp4.so

Name: mod_php
Version: %php_version
Release: %php_release
Summary: The PHP4 HTML-embedded scripting language for use with Apache
Summary(ru_RU.CP1251):	  HTML   PHP4     Apache.
Group: System/Servers
Url: http://www.php.net/
License: PHP
%add_serial php-devel

Requires: control >= 0.6.2, gdbm, zlib, mm, pam
Requires: php-libs = 1:%php_version-%php_release, apache >= %apache_version-%apache_release

Source1: %name-php.conf
Source2: %name.service
Source3: php.ini.%name.alt
Source4: %name-browscap.ini
Source5: php.mod_php.control

Patch0: php-4.3.12-sapi-mod_php.patch

Obsoletes: mod_php3, php3, phpfi

# Automatically added by buildreq on Mon Dec 20 2004
BuildRequires: libexpat-devel libmm-devel zlib-devel
BuildRequires: apache-devel >= %apache_version-%apache_release
BuildRequires: php-libs = 1:%php_version-%php_release 
BuildRequires: php-devel = 1:%php_version-%php_release

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP version 4. You'll also need to install the
Apache web server.

%description -l ru_RU.CP1251
PHP4 --   ,   HTML. PHP  
     , 
  ,   .   
 PHP    CGI-.  mod_php 
- Apache     PHP  -.

%prep
%setup -T -c
%php_sapi_prepare apache
%patch0 -p1 -b .fix

%build
%apache_apxs \
  $(php-config --includes) \
  $(php-config --ldflags) %php_optflags \
  $(php-config --libs) \
  -I. -I./include \
  -DUSE_TRANSFER_TABLES=1 \
  -lphp-%php_version \
  -o %so_file -c *.c 

%install
%__mkdir_p \
	%buildroot/%_libdir/apache \
	%buildroot/%apache_addonconfdir \
	%buildroot/%php_servicedir/%name \
	%buildroot/%php_sysconfdir/%name/php.d \
	%buildroot/%_sysconfdir/control.d/facilities \

%__install -m 644 %SOURCE1 %buildroot/%apache_addonconfdir/mod_php4.conf
%__install -m 700 %SOURCE2 %buildroot/%php_servicedir/%name/condrestart
%__install -m 644 %SOURCE3 %buildroot/%php_sysconfdir/%name/php.ini
%__install -m 644 %SOURCE4 %buildroot/%php_sysconfdir/%name/browscap.ini
%__install -m 755 %SOURCE5 %buildroot/%_sysconfdir/control.d/facilities/mod_php4

%__cp %so_file %buildroot/%_libdir/apache
%__subst 's,@php_version@,%php_version,g' \
	%buildroot/%php_sysconfdir/%name/php.ini \
	%buildroot/%_sysconfdir/control.d/facilities/mod_php4

%__subst 's,@htdocsdir@,%apache_htdocsdir,g' \
	%buildroot/%php_sysconfdir/%name/php.ini \
	%buildroot/%_sysconfdir/control.d/facilities/mod_php4

%pre
%pre_control mod_php4

%post
%post_control -s restricted mod_php4
if [ $1 = "1" ]; then
    if ! egrep -qs 'Include conf/addon-modules/mod_php4.conf' %apache_confdir/httpd.conf; then
        echo "Include conf/addon-modules/mod_php4.conf" >> %apache_confdir/httpd.conf
    fi
fi
%php_servicedir/%name/condrestart
%php_sapi_postin

%triggerpostun -n mod_php -- mod_php < 1:4.3.12-alt0.cvs20050530
if ! grep -qs "\<alt_sapi_config_ini_scan_dir\>" "%php_sysconfdir/%php_sapi/php.ini"; then
    printf '\n%%s\n' 'alt_sapi_config_ini_scan_dir = "/etc/php/%php_version/%php_sapi/php.d"' >> "%php_sysconfdir/%php_sapi/php.ini"
fi

%preun
if [ $1 = "0" ]; then
    if egrep -qs '^Include conf\/addon-modules\/mod_php4.conf' "%apache_confdir/httpd.conf"; then
        %__subst "/Include conf\/addon-modules\/mod_php4.conf/d" "%apache_confdir/httpd.conf"
        %php_servicedir/%name/condrestart
    fi
fi
%php_sapi_preun

%files
%_libdir/apache/%so_file
%_sysconfdir/control.d/facilities/*
%config(noreplace) %apache_addonconfdir/mod_php4.conf
%config(noreplace) %php_sysconfdir/%name/php.ini
%config(noreplace) %php_sysconfdir/%name/browscap.ini
%php_sysconfdir/%name
%php_servicedir/%name
%doc apache
%doc CREDITS

%changelog
* Mon May 30 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050530
- new CVS snapshot;
- new directive added:
  * alt_sapi_config_ini_scan_dir - directory to be scanned for configuration 
    files (default: /etc/php/PHP_VERSION/SAPI/php.d);

* Fri May 27 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050527
- New cvs snapshot;

* Thu Apr 07 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050406
- New cvs snapshot;

* Mon Apr 04 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.12-alt0.cvs20050404
- New cvs snapshot.
- spec cleanup;
- control support added;
- default configuration changed;

* Wed Feb 09 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20050209
- New cvs snapshot.

* Mon Dec 20 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.11-alt0.cvs20041217
- new version;
- alternative fix;

* Fri Aug 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- New cvs snapshot;
- security fixes;

* Mon May 31 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- New cvs snapshot;
- Environment variable PHPRC overriding is removed.

* Fri May 21 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- New cvs snapshot;
- From php-common was removed all librares to new package php-libs;
- Remove config files to new place /etc/php/%%php_version/mod_php/.
- default php.ini changed:
    + browscap.ini added;
    + alternatives support added;
    + variable default_charset='koi8-r' added;
    + variable define_syslog_variables=On added;

* Fri Jan 30 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- New cvs snapshot.
- Shared Memory support added (enable-shmop).

* Tue Jan 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040106
- postin/preun script bugfix.

* Mon Dec 22 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031211
- New cvs snapshot php4.3.5 CVS-20031211
- build scheme fix:
  - postin bugfix (#3324).

* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- iconv support fixed.
- minor build scheme fix:
  + macro php_optflags added.
  + sapi build environment changed.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot
- Simple spec cleanup

* Tue Oct 21 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- First standalone build for ALT Linux;
- building by apxs;
- new configuraion scheme;
  - Fixed #2939, #2940.
